// Autogenerated by SemGen version 1.3

JSim v1.1

import nsrunit;
unit conversion off;

unit AU = fundamental;
unit Beats = fundamental;
unit mmHg_ = fundamental;
unit kPa_second2_per_mL=1E9 kilogram^1*meter^(-4);
unit mL_per_second=1E-6 meter^3*second^(-1);
unit per_s=1 second^(-1);
unit kPa_second_per_mL=1E9 kilogram^1*meter^(-4)*second^(-1);
unit mmHg_s_per_sq_mm=1E6 meter^(-2)*second^1*mmHg_^1;
unit per_mL=1E6 meter^(-3);
unit Sec_per_Beat=1 second^1*Beats^(-1);
unit mmHg_s_per_mm=1E3 meter^(-1)*second^1*mmHg_^1;
unit per_second2=1 second^(-2);
unit mmHg_per_mm=1E3 meter^(-1)*mmHg_^1;
unit Beats_per_min=1 second^(-1)*Beats^1;
unit kPa_per_mL=1E9 kilogram^1*meter^(-4)*second^(-2);
unit mL=1E-6 meter^3;
unit per_Hertz=1 second^1;
unit mm_sq=1E-6 meter^2;
unit mL_per_second2=1E-6 meter^3*second^(-2);
unit mm=.001 meter^1;
unit mm_per_mmHg=.001 meter^1*mmHg_^(-1);
unit kPa=1E3 kilogram^1*meter^(-1)*second^(-2);

math MODEL{

	realDomain time ;

	real A(time) mm_sq;
	real A_Con dimensionless;
	real B per_second2;
	real B1 mmHg_s_per_mm;
	real B2 mmHg_s_per_mm;
	real B3 mmHg_s_per_mm;
	real Beta dimensionless;
	real Bwall mmHg_s_per_sq_mm;
	real C second;
	real C_ach(time) AU;
	real Cwall mm_per_mmHg;
	real E_es_ao kPa_per_mL;
	real E_es_lvf kPa_per_mL;
	real E_es_pa kPa_per_mL;
	real E_es_pu kPa_per_mL;
	real E_es_rvf kPa_per_mL;
	real E_es_spt kPa_per_mL;
	real E_es_vc kPa_per_mL;
	real Eps_1(time) dimensionless;
	real Eps_2(time) dimensionless;
	real Eps_3(time) dimensionless;
	real Eps_wall(time) dimensionless;
	real Gamma dimensionless;
	real Gcns dimensionless;
	real Gp per_Hertz;
	real Gs per_Hertz;
	real HR(time) Beats_per_min;
	real HR_p(time) Beats_per_min;
	real HR_s(time) Beats_per_min;
	real HRmax Beats_per_min;
	real HRmin Beats_per_min;
	real HRo Beats_per_min;
	real K1 mmHg_per_mm;
	real K2 mmHg_per_mm;
	real K3 mmHg_per_mm;
	real K_ach AU;
	real K_nor AU;
	real Kne mmHg_per_mm;
	real L_av kPa_second2_per_mL;
	real L_mt kPa_second2_per_mL;
	real L_pv kPa_second2_per_mL;
	real L_tc kPa_second2_per_mL;
	real P_0_lvf kPa;
	real P_0_pcd kPa;
	real P_0_rvf kPa;
	real P_0_spt kPa;
	real P_ao(time) kPa;
	real P_ed_lvf(time) kPa;
	real P_ed_rvf(time) kPa;
	real P_es_lvf(time) kPa;
	real P_es_rvf(time) kPa;
	real P_lv(time) kPa;
	real P_lvf(time) kPa;
	real P_pa(time) kPa;
	real P_pcd(time) kPa;
	real P_peri(time) kPa;
	real P_pu(time) kPa;
	real P_rv(time) kPa;
	real P_rvf(time) kPa;
	real P_th kPa;
	real P_vc(time) kPa;
	real Period(time) Sec_per_Beat;
	real Q_av(time) mL_per_second;
	real Q_mt(time) mL_per_second;
	real Q_pul(time) mL_per_second;
	real Q_pv(time) mL_per_second;
	real Q_sys(time) mL_per_second;
	real Q_tc(time) mL_per_second;
	real R(time) mm;
	real R0 mm;
	real R_av kPa_second_per_mL;
	real R_mt kPa_second_per_mL;
	real R_pul kPa_second_per_mL;
	real R_pv kPa_second_per_mL;
	real R_sys kPa_second_per_mL;
	real R_tc kPa_second_per_mL;
	real S hertz;
	real Tp(time) AU;
	real Tpmax AU;
	real Tpmin AU;
	real Ts(time) AU;
	real Tsmax AU;
	real Tsmin AU;
	real V_0_lvf mL;
	real V_0_pcd mL;
	real V_0_rvf mL;
	real V_0_spt mL;
	real V_ao(time) mL;
	real V_d_ao mL;
	real V_d_lvf mL;
	real V_d_pa mL;
	real V_d_pu mL;
	real V_d_rvf mL;
	real V_d_spt mL;
	real V_d_vc mL;
	real V_lv(time) mL;
	real V_lvf(time) mL;
	real V_pa(time) mL;
	real V_pcd(time) mL;
	real V_pu(time) mL;
	real V_rv(time) mL;
	real V_rvf(time) mL;
	real V_spt(time) mL;
	real V_tot mL;
	real V_vc(time) mL;
	real Zeta dimensionless;
	real alpha_cns(time) hertz;
	real alpha_p0 hertz;
	real alpha_s0 hertz;
	real c_nor(time) AU;
	real delta(time) dimensionless;
	real delta_HR_p(time) Beats_per_min;
	real delta_HR_pfast(time) Beats_per_min;
	real delta_HR_pmax Beats_per_min;
	real delta_HR_ps(time) Beats_per_min;
	real delta_HR_pslow(time) Beats_per_min;
	real delta_HR_s(time) Beats_per_min;
	real delta_HR_smax Beats_per_min;
	real delta_HR_ss(time) Beats_per_min;
	real delta_th dimensionless;
	real e_t(time) dimensionless;
	real lambda_lvf per_mL;
	real lambda_pcd per_mL;
	real lambda_rvf per_mL;
	real lambda_spt per_mL;
	real n(time) hertz;
	real one dimensionless;
	real q_ach per_s;
	real q_nor per_s;
	real tau(time) second;
	real tau_HR_ach second;
	real tau_HR_nor second;
	real tau_ach second;
	real tau_nor second;
	extern time.delta;
	extern time.max;
	real v_to(time) mL;



	when (time = time.min){ A = 15.20531; }
	when (time = time.min){ C_ach = 1; }
	when (time = time.min){ Eps_1 = .2042; }
	when (time = time.min){ Eps_2 = .183; }
	when (time = time.min){ Eps_3 = .161; }
	when (time = time.min){ Q_av = 0; }
	when (time = time.min){ Q_mt = 245.5813; }
	when (time = time.min){ Q_pv = 0; }
	when (time = time.min){ Q_tc = 190.0661; }
	when (time = time.min){ V_ao = 133.3381; }
	when (time = time.min){ V_lv = 94.6812; }
	when (time = time.min){ V_pa = 43.0123; }
	when (time = time.min){ V_pu = 808.4579; }
	when (time = time.min){ V_rv = 90.7302; }
	when (time = time.min){ V_vc = 329.7803; }
	when (time = time.min){ c_nor = 1.441; }
	when (time = time.min){ delta_HR_pslow = 0; }
	when (time = time.min){ delta_HR_s = 0; }

	A_Con = 1;
	A:time = ((sqrt(A*.3183098861837907)-R0)/Cwall*(-1)+(P_ao*7.500615613))/Bwall;
	B1 = 1;
	B2 = 10;
	B3 = 206.973;
	B = 80;
	Beta = .175;
	Bwall = 1;
	C_ach:time = C_ach/tau_ach*(-1)+q_ach*Tp;
	C = .375;
	Cwall = .006;
	E_es_ao = .6913;
	E_es_lvf = 2.8798;
	E_es_pa = .369;
	E_es_pu = .0073;
	E_es_rvf = .585;
	E_es_spt = 48.754;
	E_es_vc = .0059;
	0 = Eps_1:time-((Kne*(Eps_wall-Eps_1)-K1*(Eps_1-Eps_2))/B1+Eps_2:time);
	0 = Eps_2:time-(K1*(Eps_1-Eps_2)-K2*(Eps_2-Eps_3)+B1*Eps_1:time+B2*Eps_3:time)/(B1+B2);
	0 = Eps_3:time-(K2*(Eps_2-Eps_3)-K3*Eps_3+B2*Eps_2:time)/(B2+B3);
	Eps_wall = (R-R0)/R0;
	Gamma = .75;
	Gcns = 1;
	Gp = .492;
	Gs = .178;
	HR = HR_p+(HR_s-HRo)*(HR_p-Beta*HRmin)/(HRo-Beta*HRmin);
	HR_p = HRo-delta_HR_p;
	HR_s = HRo+delta_HR_s;
	HRmax = 483.218;
	HRmin = 226.238;
	HRo = 282.648;
	K1 = 1.5;
	K2 = 3.75;
	K3 = 1.05;
	K_ach = .65;
	K_nor = 1.12;
	Kne = 1;
	L_av = 1.2189E-4;
	L_mt = 7.6968E-5;
	L_pv = 1.4868E-4;
	L_tc = 8.0093E-5;
	P_0_lvf = .1203;
	P_0_pcd = .5003;
	P_0_rvf = .2157;
	P_0_spt = 1.1101;
	P_ao = E_es_ao*(V_ao-V_d_ao);
	P_ed_lvf = P_0_lvf*(exp(lambda_lvf*(V_lvf-V_0_lvf))-1);
	P_ed_rvf = P_0_rvf*(exp(lambda_rvf*(V_rvf-V_0_rvf))-1);
	P_es_lvf = E_es_lvf*(V_lvf-V_d_lvf);
	P_es_rvf = E_es_rvf*(V_rvf-V_d_rvf);
	P_lv = P_lvf+P_peri;
	P_lvf = e_t*P_es_lvf+(1-e_t)*P_ed_lvf;
	P_pa = E_es_pa*(V_pa-V_d_pa)+P_th;
	P_pcd = P_0_pcd*(exp(lambda_pcd*(V_pcd-V_0_pcd))-1);
	P_peri = P_pcd+P_th;
	P_pu = E_es_pu*(V_pu-V_d_pu)+P_th;
	P_rv = P_rvf+P_peri;
	P_rvf = e_t*P_es_rvf+(1-e_t)*P_ed_rvf;
	P_th = -4;
	P_vc = E_es_vc*(V_vc-V_d_vc);
	Period = 60/HR;
	Q_av:time = if (((P_lv-P_ao)<0) and (Q_av<0)) 0 else (P_lv-P_ao-Q_av*R_av)/L_av;
	Q_mt:time = if (((P_pu-P_lv)<0) and (Q_mt<0)) 0 else (P_pu-P_lv-Q_mt*R_mt)/L_mt;
	Q_pul = (P_pa-P_pu)/R_pul;
	Q_pv:time = if (((P_rv-P_pa)<0) and (Q_pv<0)) 0 else (P_rv-P_pa-Q_pv*R_pv)/L_pv;
	Q_sys = (P_ao-P_vc)/R_sys;
	Q_tc:time = if (((P_vc-P_rv)<0) and (Q_tc<0)) 0 else (P_vc-P_rv-Q_tc*R_tc)/L_tc;
	R0 = 1.6;
	R_av = .018;
	R = (A*.3183098861837907)^.5;
	R_mt = .0158;
	R_pul = .1552;
	R_pv = .0055;
	R_sys = 1.0889;
	R_tc = .0237;
	S = 480;
	Tp = Tpmin+(Tpmax-Tpmin)/(exp(Gp*(alpha_cns-alpha_p0)*(-1))+1);
	Tpmax = 4.994;
	Tpmin = 1.6;
	Ts = Tsmin+(Tsmax-Tsmin)/(exp(Gs*(alpha_cns-alpha_s0))+1);
	Tsmax = 4.12;
	Tsmin = .5;
	V_0_lvf = 0;
	V_0_pcd = 200;
	V_0_rvf = 0;
	V_0_spt = 2;
	V_ao:time = if (Q_av<0) Q_sys*(-1) else Q_av-Q_sys;
	V_d_ao = 0;
	V_d_lvf = 0;
	V_d_pa = 0;
	V_d_pu = 0;
	V_d_rvf = 0;
	V_d_spt = 2;
	V_d_vc = 0;
	V_lv:time = if ((Q_mt<0) and (Q_av<0)) 0 else if (Q_mt<0) Q_av*(-1) else if (Q_av<0) Q_mt else Q_mt-Q_av;
	V_lvf = V_lv-V_spt;
	V_pa:time = if (Q_pv<0) Q_pul*(-1) else Q_pv-Q_pul;
	V_pcd = V_lv+V_rv;
	V_pu:time = if (Q_mt<0) Q_pul else Q_pul-Q_mt;
	V_rv:time = if ((Q_tc<0) and (Q_pv<0)) 0 else if (Q_tc<0) Q_pv*(-1) else if (Q_pv<0) Q_tc else Q_tc-Q_pv;
	V_rvf = V_rv+V_spt;
	0 = 0-(e_t*E_es_spt*(V_spt-V_d_spt)+(one-e_t)*P_0_spt*(exp(lambda_spt*(V_spt-V_0_spt))-one)-e_t*E_es_lvf*(V_lv-V_spt)-(1-e_t)*P_0_lvf*(exp(lambda_lvf*(V_lv-V_spt))-1)+e_t*E_es_rvf*(V_rv+V_spt)+(1-e_t)*P_0_rvf*(exp(lambda_rvf*(V_rv+V_spt))-1));
	V_tot = 1.5;
	V_vc:time = if (Q_tc<0) Q_sys else Q_sys-Q_tc;
	Zeta = 1;
	alpha_cns = Gcns*n;
	alpha_p0 = 76.019;
	alpha_s0 = 58.6;
	c_nor:time = c_nor/tau_nor*(-1)+q_nor*Ts;
	delta_HR_p = delta_HR_pfast+delta_HR_pslow;
	delta_HR_pfast = Gamma*delta_HR_ps;
	delta_HR_pmax = HRo-HRmin;
	delta_HR_ps = delta_HR_pmax*C_ach^2/(K_ach^2+C_ach^2);
	delta_HR_pslow:time = (delta_HR_pslow*(-1)+(1-Gamma)*delta_HR_ps)/tau_HR_ach;
	delta_HR_s:time = (delta_HR_s*(-1)+delta_HR_ss)/tau_HR_nor;
	delta_HR_smax = HRmax-HRo;
	delta_HR_ss = delta_HR_smax*c_nor^2/(K_nor^2+c_nor^2);
	delta = Eps_wall-Eps_1;
	delta_th = 0;
	e_t = A_Con*exp(B*(tau-C)^2*(-1));
	lambda_lvf = .033;
	lambda_pcd = .03;
	lambda_rvf = .023;
	lambda_spt = .435;
	n = S*(delta-Zeta*delta_th);
	one = 1;
	q_ach = 5;
	q_nor = .1099;
	tau_HR_ach = 2.5;
	tau_HR_nor = 2.1;
	tau_ach = .2;
	tau = time-floor(time/Period)*Period;
	tau_nor = 9.1;
	time.min = 0;
	v_to = V_lv+V_rv+V_ao+V_vc+V_pu+V_pa;
}
// END OF SIMULATION CODE



/*
CODEWORDS AND THEIR ANNOTATIONS
-------------------------------
A
   Composite annotation: NCImetaT:Vessel lumen cross-sectional area <SEMSIM:physicalPropertyOf> FMA:Lumen of aorta
   Singular annotation: [unspecified]
   Human readable definition: aortic cross-sectional area

A_Con
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Gaussian Curve Magnitude

B
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Gaussian Curve Width

B1
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> Baroreceptor connective tissue
   Singular annotation: [unspecified]
   Human readable definition: baroreceptor connective tissue viscous constant

B2
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> Baroreceptor connective tissue
   Singular annotation: [unspecified]
   Human readable definition: baroreceptor connective tissue viscous constant

B3
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> Baroreceptor connective tissue
   Singular annotation: [unspecified]
   Human readable definition: baroreceptor connective tissue viscous constant

Beta
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: interaction constant

Bwall
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> FMA:Wall of aorta
   Singular annotation: [unspecified]
   Human readable definition: aortic wall viscous constant

C
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Gaussian Curve Delay

C_ach
   Composite annotation: OPB:Chemical concentration <SEMSIM:physicalPropertyOf> OPB:Portion of molecules <SEMSIM:composed_of> CHEBI:acetylcholine <RO:part_of> FMA:Sinuatrial node
   Singular annotation: [unspecified]
   Human readable definition: acetylcholine concentration

Cwall
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> FMA:Wall of aorta
   Singular annotation: [unspecified]
   Human readable definition: aortic distensibility constant

E_es_ao
   Composite annotation: OPB:Elastance parameter <SEMSIM:physicalPropertyOf> FMA:Aorta
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

E_es_lvf
   Composite annotation: OPB:Elastance parameter <SEMSIM:physicalPropertyOf> FMA:Free wall of left ventricle
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

E_es_pa
   Composite annotation: OPB:Elastance parameter <SEMSIM:physicalPropertyOf> FMA:Pulmonary artery
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

E_es_pu
   Composite annotation: OPB:Elastance parameter <SEMSIM:physicalPropertyOf> FMA:Pulmonary vascular system
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

E_es_rvf
   Composite annotation: OPB:Elastance parameter <SEMSIM:physicalPropertyOf> FMA:Free wall of right ventricle
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

E_es_spt
   Composite annotation: OPB:Elastance parameter <SEMSIM:physicalPropertyOf> FMA:Septum
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

E_es_vc
   Composite annotation: OPB:Elastance parameter <SEMSIM:physicalPropertyOf> NCIT:Vena Cava
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

Eps_1
   Composite annotation: OPB:Solid displacement <SEMSIM:physicalPropertyOf> Baroreceptor connective tissue
   Singular annotation: [unspecified]
   Human readable definition: baroreceptor connective tissue strain

Eps_2
   Composite annotation: OPB:Solid displacement <SEMSIM:physicalPropertyOf> Baroreceptor connective tissue
   Singular annotation: [unspecified]
   Human readable definition: baroreceptor connective tissue strain

Eps_3
   Composite annotation: OPB:Solid displacement <SEMSIM:physicalPropertyOf> Baroreceptor connective tissue
   Singular annotation: [unspecified]
   Human readable definition: baroreceptor connective tissue strain

Eps_wall
   Composite annotation: OPB:Solid displacement <SEMSIM:physicalPropertyOf> FMA:Wall of aorta
   Singular annotation: [unspecified]
   Human readable definition: aortic wall strain

Gamma
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: fast pathway proportion

Gcns
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> NCIT:Central Nervous System
   Singular annotation: [unspecified]
   Human readable definition: central gain

Gp
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> NCIT:Parasympathetic Nervous System
   Singular annotation: [unspecified]
   Human readable definition: parasympathetic gain

Gs
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> NCIT:Sympathetic Nervous System
   Singular annotation: [unspecified]
   Human readable definition: sympathetic gain

HR
   Composite annotation: OPB:Event rate <SEMSIM:physicalPropertyOf> GO:heart contraction
   Singular annotation: Heart Rate
   Human readable definition: heart rate

HR_p
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: parasympathetic heart rate effect

HR_s
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: sympathetic heart rate effect

HRmax
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: Maximum Heart Rate
   Human readable definition: maximum heart rate

HRmin
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: Minimum Heart Rate
   Human readable definition: minimum heart rate

HRo
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: Resting heart rate
   Human readable definition: intrinsic heart rate (heart rate without cardiac nervous input)

K1
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> Baroreceptor connective tissue
   Singular annotation: [unspecified]
   Human readable definition: baroreceptor connective tissue elastic constant

K2
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> Baroreceptor connective tissue
   Singular annotation: [unspecified]
   Human readable definition: baroreceptor connective tissue elastic constant

K3
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> Baroreceptor connective tissue
   Singular annotation: [unspecified]
   Human readable definition: baroreceptor connective tissue elastic constant

K_ach
   Composite annotation: [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: acetylcholine half-activation concentration

K_nor
   Composite annotation: [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: norepinephrine half-activation concentration

Kne
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: baroreceptor nerve ending elastic constant

L_av
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Atrial Valve Inertance

L_mt
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Mitrial Valve Inertance

L_pv
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Pulmonary Valve Inertance

L_tc
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Tricuspid Valve Inertance

P_0_lvf
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: Fluid pressure
   Human readable definition: Initial Pressure of the left ventricular free wall.


P_0_pcd
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Initial Pressure of the Pericardium


P_0_rvf
   Composite annotation: [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Initial Pressure of the Right Ventricular Free Wall.


P_0_spt
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Initial Pressure of the Septum.


P_ao
   Composite annotation: OPB:Fluid pressure <SEMSIM:physicalPropertyOf> FMA:Portion of blood <RO:contained_in> FMA:Lumen of aorta
   Singular annotation: [unspecified]
   Human readable definition: Pressure of the Aorta

P_ed_lvf
   Composite annotation: [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Left Ventricular Free Wall End Diastolic Pressure

P_ed_rvf
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Right Ventricular Free Wall End Diastolic Pressure

P_es_lvf
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Left Ventricular Free Wall End Systolic Pressure

P_es_rvf
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Right Ventricular Free Wall End Systolic Pressure

P_lv
   Composite annotation: OPB:Fluid pressure <SEMSIM:physicalPropertyOf> FMA:Blood in left ventricle <RO:contained_in> FMA:Left ventricle
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

P_lvf
   Composite annotation: OPB:Fluid pressure <SEMSIM:physicalPropertyOf> FMA:Portion of blood <RO:contained_in> FMA:Lumen of aorta
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

P_pa
   Composite annotation: OPB:Fluid pressure <SEMSIM:physicalPropertyOf> FMA:Blood in pulmonary arterial tree <RO:part_of> FMA:Pulmonary artery
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

P_pcd
   Composite annotation: OPB:Fluid pressure <SEMSIM:physicalPropertyOf> FMA:Pericardium
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

P_peri
   Composite annotation: OPB:Fluid pressure <SEMSIM:physicalPropertyOf> FMA:Pericardium
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

P_pu
   Composite annotation: OPB:Fluid pressure <SEMSIM:physicalPropertyOf> FMA:Pulmonary vascular system
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

P_rv
   Composite annotation: OPB:Fluid pressure <SEMSIM:physicalPropertyOf> FMA:Blood in right ventricle <RO:contained_in> FMA:Cavity of right ventricle <RO:part_of> FMA:Right ventricle
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

P_rvf
   Composite annotation: OPB:Fluid pressure <SEMSIM:physicalPropertyOf> FMA:Free wall of right ventricle <RO:part_of> FMA:Right ventricle
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

P_th
   Composite annotation: OPB:Fluid pressure <SEMSIM:physicalPropertyOf> FMA:Thoracic cavity
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

P_vc
   Composite annotation: OPB:Fluid pressure <SEMSIM:physicalPropertyOf> NCIT:Vena Cava
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

Period
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: R-R Interval
   Human readable definition: [unspecified]

Q_av
   Composite annotation: OPB:Fluid flow rate <SEMSIM:physicalPropertyOf> FMA:Aortic valve
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

Q_mt
   Composite annotation: OPB:Fluid flow rate <SEMSIM:physicalPropertyOf> FMA:Mitral valve
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

Q_pul
   Composite annotation: OPB:Fluid flow rate <SEMSIM:physicalPropertyOf> FMA:Pulmonary vascular system
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

Q_pv
   Composite annotation: OPB:Fluid flow rate <SEMSIM:physicalPropertyOf> FMA:Pulmonary valve
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

Q_sys
   Composite annotation: OPB:Fluid flow rate <SEMSIM:physicalPropertyOf> FMA:Systemic venous system
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

Q_tc
   Composite annotation: OPB:Fluid flow rate <SEMSIM:physicalPropertyOf> FMA:Tricuspid valve
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

R
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> FMA:Lumen of aorta
   Singular annotation: [unspecified]
   Human readable definition: aortic radius

R0
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> FMA:Lumen of aorta
   Singular annotation: [unspecified]
   Human readable definition: aortic unstressed radius

R_av
   Composite annotation: OPB:Fluid resistance <SEMSIM:physicalPropertyOf> FMA:Aortic valve
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

R_mt
   Composite annotation: OPB:Fluid resistance <SEMSIM:physicalPropertyOf> FMA:Mitral valve
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

R_pul
   Composite annotation: OPB:Fluid resistance <SEMSIM:physicalPropertyOf> FMA:Pulmonary vascular system
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

R_pv
   Composite annotation: OPB:Fluid resistance <SEMSIM:physicalPropertyOf> FMA:Pulmonary valve
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

R_sys
   Composite annotation: OPB:Fluid resistance <SEMSIM:physicalPropertyOf> FMA:Systemic venous system
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

R_tc
   Composite annotation: OPB:Fluid resistance <SEMSIM:physicalPropertyOf> FMA:Tricuspid valve
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

S
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: strain sensitivity

Tp
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> NCIT:Parasympathetic Nervous System
   Singular annotation: [unspecified]
   Human readable definition: parasympathetic tone

Tpmax
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> NCIT:Parasympathetic Nervous System
   Singular annotation: [unspecified]
   Human readable definition: maximum parasympathetic tone

Tpmin
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> NCIT:Parasympathetic Nervous System
   Singular annotation: [unspecified]
   Human readable definition: minimum parasympathetic tone

Ts
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> NCIT:Sympathetic Nervous System
   Singular annotation: [unspecified]
   Human readable definition: sympathetic tone

Tsmax
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> NCIT:Sympathetic Nervous System
   Singular annotation: [unspecified]
   Human readable definition: maximum sympathetic tone

Tsmin
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> NCIT:Sympathetic Nervous System
   Singular annotation: [unspecified]
   Human readable definition: minimum sympathetic tone

V_0_lvf
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Initial Volume of the Left Ventricular Free Wall

V_0_pcd
   Composite annotation: [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Initial Volume of the Pericardium

V_0_rvf
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Initial Volume of the Right Free Wall

V_0_spt
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Initial Volume of the Septum

V_ao
   Composite annotation: OPB:Fluid volume <SEMSIM:physicalPropertyOf> FMA:Blood in aorta <RO:contained_in> FMA:Aorta
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

V_d_ao
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Volume of the Aorta at Zero Pressure

V_d_lvf
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Volume of the Left Ventricular Wall at Zero Pressure

V_d_pa
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Volume of the Pulmonary Arterioles at Zero Pressure

V_d_pu
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Volume of the Pulmonary Vasculature at Zero Pressure

V_d_rvf
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Volume of the Right Ventricular Free Wall at Zero Pressure

V_d_spt
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Volume of the Septum at Zero Pressure

V_d_vc
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Volume of the Vena Ceva at Zero Pressure

V_lv
   Composite annotation: OPB:Fluid volume <SEMSIM:physicalPropertyOf> FMA:Blood in left ventricle <RO:contained_in> FMA:Cavity of left ventricle <RO:part_of> FMA:Left ventricle
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

V_lvf
   Composite annotation: OPB:Volume of volume region <SEMSIM:physicalPropertyOf> FMA:Free wall of left ventricle <RO:part_of> FMA:Left ventricle
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

V_pa
   Composite annotation: OPB:Fluid volume <SEMSIM:physicalPropertyOf> FMA:Blood in pulmonary arterial tree <RO:part_of> FMA:Pulmonary artery
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

V_pcd
   Composite annotation: OPB:Volume of volume region <SEMSIM:physicalPropertyOf> FMA:Pericardium
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

V_pu
   Composite annotation: OPB:Fluid volume <SEMSIM:physicalPropertyOf> FMA:Blood in pulmonary arterial tree
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

V_rv
   Composite annotation: OPB:Fluid volume <SEMSIM:physicalPropertyOf> FMA:Blood in right ventricle <RO:contained_in> FMA:Cavity of right ventricle <RO:part_of> FMA:Right ventricle
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

V_rvf
   Composite annotation: OPB:Fluid volume <SEMSIM:physicalPropertyOf> FMA:Free wall of right ventricle <RO:part_of> FMA:Right ventricle
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

V_spt
   Composite annotation: OPB:Volume of volume region <SEMSIM:physicalPropertyOf> FMA:Septum <RO:part_of> FMA:Ventricle
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

V_tot
   Composite annotation: OPB:Fluid volume <SEMSIM:physicalPropertyOf> FMA:Whole portion of blood
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

V_vc
   Composite annotation: OPB:Fluid volume <SEMSIM:physicalPropertyOf> NCIT:Vena Cava
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

Zeta
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: threshold firing frequency scaling factor

alpha_cns
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> NCIT:Central Nervous System
   Singular annotation: [unspecified]
   Human readable definition: central nervous system activity

alpha_p0
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> NCIT:Parasympathetic Nervous System
   Singular annotation: [unspecified]
   Human readable definition: parasympathetic offset

alpha_s0
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> NCIT:Sympathetic Nervous System
   Singular annotation: [unspecified]
   Human readable definition: sympathetic offset

c_nor
   Composite annotation: OPB:Chemical concentration <SEMSIM:physicalPropertyOf> OPB:Portion of molecules <SEMSIM:composed_of> CHEBI:noradrenaline <RO:part_of> FMA:Sinuatrial node
   Singular annotation: [unspecified]
   Human readable definition: norepinephrine concentration

delta
   Composite annotation: OPB:Solid displacement <SEMSIM:physicalPropertyOf> FMA:Baroreceptor
   Singular annotation: [unspecified]
   Human readable definition: baroreceptor nerve ending strain

delta_HR_p
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: overall parasympathetic heart rate response

delta_HR_pfast
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: parasympathetic heart rate response of fast pathway

delta_HR_pmax
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: maximum parasympathetic heart rate response

delta_HR_ps
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: static parasympathetic heart rate response

delta_HR_pslow
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: parasympathetic heart rate response of slow pathway

delta_HR_s
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: sympathetic heart rate response

delta_HR_smax
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: maximum sympathetic heart rate response

delta_HR_ss
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: static sympathetic heart rate response

delta_th
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: strain threshold

e_t
   Composite annotation: PATO:rhythm quality <SEMSIM:physicalPropertyOf> GO:heart contraction
   Singular annotation: [unspecified]
   Human readable definition: Heart Contraction Driver

lambda_lvf
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Left Ventricular Free Wall Diastolic Exponential Parameter

lambda_pcd
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Paracardial Diastolic Exponential Parameter

lambda_rvf
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Right Ventricular Free Wall Diastolic Exponential Parameter

lambda_spt
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Septal Wall Diastolic Exponential Parameter

n
   Composite annotation: OPB:Event rate <SEMSIM:physicalPropertyOf> GO:neuronal action potential propagation
   Singular annotation: [unspecified]
   Human readable definition: baroreceptor firing rate

one
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: 1

q_ach
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> OPB:Portion of molecules <SEMSIM:composed_of> CHEBI:acetylcholine <RO:part_of> NCImetaT:Cardiac sympathetic nerve
   Singular annotation: [unspecified]
   Human readable definition: acetylcholine secretion rate constant

q_nor
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> OPB:Portion of molecules <SEMSIM:composed_of> CHEBI:noradrenaline <RO:part_of> NCImetaT:Cardiac sympathetic nerve
   Singular annotation: [unspecified]
   Human readable definition: norepinephrine secretion rate constant

tau
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: Contraction Time Elapsed

tau_HR_ach
   Composite annotation: SBO:exponential time constant <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: slow acetylcholine heart rate response time constant

tau_HR_nor
   Composite annotation: SBO:exponential time constant <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: norepinephrine heart rate response time constant

tau_ach
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> GO:acetylcholinesterase activity
   Singular annotation: [unspecified]
   Human readable definition: acetylcholine hydrolysis time constant

tau_nor
   Composite annotation: [unspecified] <SEMSIM:physicalPropertyOf> GO:norepinephrine uptake
   Singular annotation: [unspecified]
   Human readable definition: norepinephrine reuptake time constant

time
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: Time dimension
   Human readable definition: time domain for simulation

time.delta
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: Temporal interval
   Human readable definition: [unspecified]

time.max
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: Interval ending instant
   Human readable definition: [unspecified]

time.min
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: Interval starting instant
   Human readable definition: [unspecified]

v_to
   Composite annotation: [unspecified] <of> [unspecified]
   Singular annotation: [unspecified]
   Human readable definition: [unspecified]

-------------------------------
*/
